Update artifact
Partially update a published artifact. URL changes are rejected if another artifact already uses that URL.
Base URL
PATCH
Partially update a published artifact. URL changes are rejected if another artifact already uses that URL.
bearerAuthheader
AuthorizationBearer <token>API key authentication. Use your API key as the bearer token.
artifact_id*stringapplication/json- body
Provide at least one field to update. When url or metadata changes, the resulting metadata must match the artifact kind.
Properties
1 <= propertiestitle?Artifacts.ArtifactTitleLength
1 <= length <= 200url?Artifacts.ArtifactUrlHTTP(S) URL without credentials or local/private host literals. Stored in WHATWG-canonical form.
Format
uriLength
length <= 2048description?Artifacts.ArtifactDescriptionLength
10 <= length <= 2000kind?Artifacts.ArtifactKindValue in
"link""doc""ticket""message""channel""dashboard""pdf""design""feature_flag""file""session_replay"metadata?Replaces the stored metadata. url is always taken from the top-level field or the current artifact.
Artifact updated
application/json- response
data*curl -X PATCH 'https://your-org.inspect.com/api/public/v1/artifacts/string' \ -H 'Content-Type: application/json' \ -d '{}'Example Response
{ "data": { "id": "string", "title": "string", "url": "http://example.com", "description": "string", "kind": "link", "metadata": {}, "created_at": "2019-08-24T14:15:22Z" }}